//
//  YHPrincipleEnvelopeModel.swift
//  galaxy
//
//  Created by edy on 2024/8/8.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHPrincipleEnvelopeModel: SmartCodable {
    
    // 自定义属性
    var isUnfold:Bool = false // 是否展开

    var name: String = ""
    var url: String = ""
    var date: String = ""
    var sex: Int = 0
    
    func convertDateFormat() -> String {
        let dateFormatter = DateFormatter()
        dateFormatter.dateFormat = "yyyy-MM-dd"
        
        if let date = dateFormatter.date(from: date) {
            dateFormatter.dateFormat = "yyyy年MM月dd日"
            return dateFormatter.string(from: date)
        }
        return date
    }
    
    required init() {
        
    }
}


